This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 979905 - no signal found, monitor is going to sleep
no signal found, monitor is going to sleep
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 02:40 EDT by Marcus Moeller
Modified: 2015-02-17 10:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:45:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (36.96 KB, text/x-log)
2013-07-01 02:41 EDT, Marcus Moeller
no flags Details
su -c 'dd if=/dev/mem of=/tmp/rom bs=64k skip=12 count=1' (64.00 KB, application/octet-stream)
2013-07-01 02:41 EDT, Marcus Moeller
no flags Details
/sys/kernel/debug/dri/*/i915_opregion (8.00 KB, application/octet-stream)
2013-07-01 02:42 EDT, Marcus Moeller
no flags Details
su -c 'intel_reg_snapshot > /tmp/snapshot' (2.39 MB, application/octet-stream)
2013-07-01 02:42 EDT, Marcus Moeller
no flags Details

  None (edit)
Description Marcus Moeller 2013-07-01 02:40:40 EDT
We have a setup with a Fujitsu Esprimo E9900 with:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Fujitsu Technology Solutions Device 1168
	Flags: bus master, fast devsel, latency 0, IRQ 42
	Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 1890 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [a4] PCI Advanced Features
	Kernel driver in use: i915

The monitor that is connected is a Fujitsu B24W-6 LED. Connection Type is display-port.

When the machine starts up, plymouth is displayed correctly but when X should start, the monitor is going to sleep with a message 'no signal found'.

When I connect the monitor via DVI, it works fine. I have also tried to change the display-port cable, but it behaves the same.

A different monitor works fine when it's connected to the display-port, so it might be a combination of the graphics card, the output and the monitor type.

I find it really hard to debug, so I have attached the information as described here:

https://fedoraproject.org/wiki/How_to_debug_Xorg_problems

Please let me know if there are other things that I can do in oder to debug this issue.
Comment 1 Marcus Moeller 2013-07-01 02:41:34 EDT
Created attachment 767252 [details]
Xorg log
Comment 2 Marcus Moeller 2013-07-01 02:41:57 EDT
Created attachment 767253 [details]
su -c 'dd if=/dev/mem of=/tmp/rom bs=64k skip=12 count=1'
Comment 3 Marcus Moeller 2013-07-01 02:42:26 EDT
Created attachment 767254 [details]
/sys/kernel/debug/dri/*/i915_opregion
Comment 4 Marcus Moeller 2013-07-01 02:42:55 EDT
Created attachment 767255 [details]
su -c 'intel_reg_snapshot > /tmp/snapshot'
Comment 5 Fedora End Of Life 2015-01-09 13:35:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:45:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.